<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="worktimessetaddandedit.aspx.cs" Inherits="HySoft.BaseCallCenter.Web.telmanage.worktimessetaddandedit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>上班时间添加和修改</title>
    <link href="../scripts/ui/skins/Aqua/css/ligerui-all.css" rel="stylesheet" type="text/css" />
    <link href="../images/style.css" rel="stylesheet" type="text/css" />
    <script src="../scripts/jquery/jquery-1.8.3.min.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/ligerui.min.js" type="text/javascript"></script>
    <script src="../scripts/My97DatePicker/WdatePicker.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
//            var starttime = $("txtMobileNum").val();
//            var endtime = $("txtZipCode").val();
//            $("#txtMobileNum").ligerDateEditor({ showTime: true, initValue: starttime });
//            $("#txtZipCode").ligerDateEditor({ showTime: true, initValue: endtime });
        });
         function toDay() {
            var d = new Date();
            var str = d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate();
            return str;
        }
        function validatelogin_name() {
            document.getElementById("lblMobileNum").innerHTML = "*";
            document.getElementById("lblMobileNum").style.color = "#414141";
            if ($("#txtMobileNum").val() == "") {
                document.getElementById("lblMobileNum").innerHTML = "* 不允许为空！";
                document.getElementById("lblMobileNum").style.color = "red";
                return false;
            }
            document.getElementById("lblZipCode").innerHTML = "*";
            document.getElementById("lblZipCode").style.color = "#414141";
            if ($("#txtZipCode").val() == "") {
                document.getElementById("lblZipCode").innerHTML = "* 不允许为空！";
                document.getElementById("lblZipCode").style.color = "red";
                return false;
            }
            document.getElementById("lblCityDes").innerHTML = "*";
            document.getElementById("lblCityDes").style.color = "#414141";
            if ($("#txtCityDes").val() == "") {
                document.getElementById("lblCityDes").innerHTML = "* 不允许为空！";
                document.getElementById("lblCityDes").style.color = "red";
                return false;
            }
            document.getElementById("lblCardDes").innerHTML = "*";
            document.getElementById("lblCardDes").style.color = "#414141";
            if ($("#txtCardDes").val() == "") {
                document.getElementById("lblCardDes").innerHTML = "* 不允许为空！";
                document.getElementById("lblCardDes").style.color = "red";
                return false;
            }
            return true;
        }
        function validate() {
            var i = 0;
            if (!validatelogin_name()) {
                i++;
            }
            if (i > 0) {
                return false;
            }
            return true;
        }
        function CloseThis() {
            var dialog = frameElement.dialog;
            parent.LoadList();
            dialog.close();
        }
        function SaveInfo(res) {
            switch (res) {
                case 'success':
                    $.ligerDialog.success('保存成功', function (yes) { CloseThis(); });
                    break;
                case 'warn':
                    $.ligerDialog.error('保存失败，请确认数据正确性');
                    break;
                case 'error':
                    $.ligerDialog.error('系统错误，请联系开发商');
                    break;
                default:
                    break;
            }
        }
    </script>
</head>
<body class="mainbody" style="margin-top: 0px;">
    <form id="form1" runat="server">
    <div id="contentTab">
        <div class="tab_con" style="display: block;">
            <table class="form_table">
                <col width="100px" />
                <col />
                <tbody>
                    <tr>
                        <th>
                            工作开始时间：
                        </th>
                        <td>
                            <div style="float:left"><asp:TextBox ID="txtMobileNum" runat="server" CssClass="txtInput normal" MaxLength="255" onFocus="WdatePicker({lang:'zh-cn',dateFmt:'HH:mm:ss'})"></asp:TextBox></div>
                            <div style="float:left"><label id="lblMobileNum" for="txtMobileNum">*</label></div>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            工作结束时间：
                        </th>
                        <td>
                            <div style="float:left"><asp:TextBox ID="txtZipCode" runat="server" CssClass="txtInput normal" MaxLength="255" onFocus="WdatePicker({lang:'zh-cn',dateFmt:'HH:mm:ss'})"></asp:TextBox></div>
                            <div style="float:left"><label id="lblZipCode" for="txtZipCode">*</label></div>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            时间段名称：
                        </th>
                        <td>
                            <asp:TextBox ID="txtCityDes" runat="server" CssClass="txtInput normal" MaxLength="255"></asp:TextBox>
                            <label id="lblCityDes" for="txtCityDes">
                                *</label>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            时间段备注：
                        </th>
                        <td>
                            <asp:TextBox ID="txtCardDes" runat="server" CssClass="txtInput normal" MaxLength="255"></asp:TextBox>
                            <label id="lblCardDes" for="txtCardDes">
                                *</label>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="foot_btn_box">
            <asp:Button ID="btnSubmit" runat="server" Text="保&nbsp;&nbsp;存" CssClass="btnSubmit"
                OnClientClick="return validate();" OnClick="btnSubmit_Click" />
        </div>
    </div>
    </form>
</body>
</html>
